<script setup>
// ----------------------------------------------------------------
// Probs
// ----------------------------------------------------------------
const props = defineProps({
  data: {
    type: Object,
    required: true,
  },
  connector: {
    type: String,
    required: true,
  },
  index: {
    type: Number,
    required: true,
  },
});

// ----------------------------------------------------------------
// Main
// ----------------------------------------------------------------

const dictData = ref({});
dictData.value = Object.assign({}, props.data);
delete dictData.value.TotalSize;
delete dictData.value.TotalFiles;
delete dictData.value.Extension;
delete dictData.value.Access;
</script>

<template>
  <h2 v-if="index === 0">
    Overview
  </h2>
  <h2 v-if="index === 1">
    Data distribution
  </h2>

  <v-card
    :color="index === 0 ? 'blue' : undefined"
    variant="outlined"
    class="ma-2 flex-grow-1"
    width="99%"
  >
    <v-card-item>
      <v-card-title v-if="index > 0">
        {{ connector }}
      </v-card-title>
      <DashboardDataRepartition :data="dictData" :totalSize="data.TotalSize" />
      <div class="d-flex">
        <v-sheet
          class="d-flex flex-column flex-grow-1 ma-4 align-stretch"
          width="33%"
        >
          <v-card
            :color="index === 0 ? 'blue' : undefined"
            variant="outlined"
            class="mb-2 d-flex align-center justify-center"
            height="50%"
          >
            <v-card-item>
              <div class="text-center">
                <div class="text-overline mb-1">
                  Number of data
                </div>
                <div class="text-h4 mb-1">
                  {{ data.TotalFiles }}
                </div>
              </div>
            </v-card-item>
          </v-card>

          <v-card
            :color="index === 0 ? 'blue' : undefined"
            variant="outlined"
            class="mt-2 d-flex align-center justify-center"
            height="50%"
          >
            <v-card-item class="">
              <div class="text-center">
                <div class="text-overline mb-1">
                  Data size
                </div>
                <div class="text-h4 mb-1">
                  {{ formatBytes(data.TotalSize) }}
                </div>
              </div>
            </v-card-item>
          </v-card>
        </v-sheet>
        <v-card
          :color="index === 0 ? 'blue' : undefined"
          variant="outlined"
          class="ma-4 flex-grow-1"
          width="33%"
        >
          <v-card-item>
            <div class="text-overline mb-1">
              Data access
            </div>
            <DashboardPieChart :data="data.Access" />
          </v-card-item>
        </v-card>
        <v-card
          :color="index === 0 ? 'blue' : undefined"
          variant="outlined"
          class="ma-4 flex-grow-1"
          width="33%"
        >
          <v-card-item>
            <div class="text-overline mb-1">
              File types
            </div>
            <DashboardPieChart :data="data.Extension" />
          </v-card-item>
        </v-card>
      </div>
    </v-card-item>
  </v-card>
</template>

<style></style>
